Summary: Create new database with all stuff needed by logserver
Name: op5-logserver-db
Version: %{op5version}
Release: %{op5release}%{?dist}
License: op5 Immaterial Works License
Prefix: /opt/logserver/db
Group: op5/logserver
Vendor: op5 AB
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
%if 0%{?suse_version}
%define daemon_group www
Requires: postgresql84 postgresql84-server postgresql-init = 8.4
%else
%define daemon_group apache
Requires: postgresql-server >= 8.4.0 postgresql >= 8.4.0
%endif
Requires: python-psycopg2
Requires: python-argparse
Requires: logfilter
Requires: bzip2
Requires: op5-postgresql-config

Source: %name-%version.tar.gz

%description
Create new database with new tables, users, functions that are needed by logserver

%prep
%setup -q

%install
rm -rf %buildroot
mkdir -p %{buildroot}%prefix

cp *.sh *.py %{buildroot}%prefix

cp -r configs %{buildroot}%prefix/configs
cp -r sql %{buildroot}%prefix/sql
cp -r upgrade %{buildroot}%prefix/upgrade

%clean
rm -rf %buildroot

%post

if [ "$1" -eq 1 ]
then
    %prefix/install_script.sh install %prefix;
else
    %prefix/install_script.sh upgrade %prefix;
fi

%preun

if [ "$1" -eq 0 ]
then
    %prefix/install_script.sh uninstall %prefix;
else
    %prefix/install_script.sh renew %prefix;
fi

%files
%defattr(-,root,root)
%prefix

%exclude %prefix/sql/README

%changelog
* Mon May 6 2008 Serhij Batsevych <sbatsevych@n-ix.com.ua>
- Initital RPM packaging
